package com.biganto.visual.roompark.data.repository.db.requrey

/**
 * Created by Vladislav Bogdashkin on 15.06.2018.
 */

private fun revisionStringToString(revisionString:String):String
{val ind  = revisionString.indexOf('?'); return if (ind>0) (revisionString.substring(0,ind)) else revisionString } //remove revision flag

private fun revisionStringToRevision(revisionString:String):String?
{val ind  = revisionString.indexOf('?'); return if (ind>0) (revisionString.substring(ind)) else null} //remove revision flag


class RevisionString(private val value:String, private val revision:String?){
    constructor(revisionString:String) : this(
            value= revisionStringToString(revisionString),revision= revisionStringToRevision(revisionString)
    )

    fun uri()=value

    /**
     * @return full-string with revision
     */
    fun revisionUri()="$value${revision.orEmpty()}"
}